.post-navigation {
	display: flex;
	gap: 12px;
	margin-top: 12px;
	margin-bottom: 12px;
}

.post-navigation__item {
	position: relative;
	padding: 16px;
	box-shadow: inset 0 0 0 1px var(--comet-100);
	border-radius: 12px;
	flex: 1;
	transition: box-shadow ease .1s;
}

.post-navigation__item.next {
	text-align: right;
}

.post-navigation__item:hover {
	box-shadow: inset 0 0 0 2px var(--azure-radiance-400);
}

.post-navigation__item.prev .post-navigation__item-icon {
	transform: scale(-1,1);
}

.post-navigation__item-icon {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 36px;
	height: 36px;
	color: var(--white);
	font-size: 24px;
	background-color: var(--azure-radiance-300);
	border-radius: 8px;
	align-self: center;
	flex-shrink: 0;
	transition: background-color ease .1s;
}

.post-navigation__item:hover .post-navigation__item-icon {
	background-color: var(--azure-radiance-400);
}

.post-navigation__item-label {
	font-size: 14px;
	color: var(--whisper-500);
	line-height: 20px;
}

.post-navigation__item-title {
	color: var(--whisper-950);
	font-weight: 600;
	text-decoration: underline;
	text-underline-position: under;
	line-height: 24px;
}

@media (max-width: 767.98px) {
	.post-navigation__item-icon {
		position: absolute;
		top: 18px;
	}

	.post-navigation__item.next .post-navigation__item-icon {
		right: 16px;
	}

	.post-navigation__item-label {
		display: inline-flex;
		align-items: center;
		height: 40px;
		margin-bottom: 12px;
	}

	.post-navigation__item.prev .post-navigation__item-label {
		padding-left: 46px;
	}

	.post-navigation__item.next .post-navigation__item-label {
		padding-right: 46px;
	}
}

@media (min-width: 768px) {
	.post-navigation__item {
		display: flex;
		align-items: flex-start;
		gap: 12px;
		padding: 20px;
	}
}